﻿<%@ Page Language="C#" MasterPageFile="~/ControlRoom/Control.Master" 
    AutoEventWireup="true" CodeBehind="ProgramList.aspx.cs" Inherits="GRA.SRP.ControlRoom.Modules.Programs.ProgramsList" 
    
%>
<%@ Import Namespace="GRA.SRP.Utilities.CoreClasses" %>


<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
	<asp:ObjectDataSource ID="odsData" runat="server" 
        SelectMethod="GetAll" 
        TypeName="GRA.SRP.DAL.Programs">
	</asp:ObjectDataSource>


    <asp:GridView ID="gv" runat="server" AllowSorting="True" AutoGenerateColumns="False" AllowPaging="False"
        DataKeys="PID"
        DataSourceID="odsData"
        onrowcreated="GvRowCreated" 
        onsorting="GvSorting" 
        onrowcommand="GvRowCommand"      
        >
        <Columns>
            <asp:TemplateField   ItemStyle-Wrap="False" ItemStyle-VerticalAlign="Middle">
                <HeaderTemplate>
                    <asp:ImageButton ID="btnAdd" runat="server" AlternateText="Add Record" Tooltip="Add Record"
                        CausesValidation="False" CommandName="AddRecord" CommandArgument="-1" 
                        ImageUrl="~/ControlRoom/Images/add.png" Width="20px" />
                </HeaderTemplate>                
                <ItemTemplate>
                    &nbsp;
                    <asp:ImageButton ID="btnEdit" runat="server" AlternateText="Edit Record" Tooltip="Edit Record" 
                        CausesValidation="False" CommandName="EditRecord" CommandArgument='<%# Bind("PID") %>'  
                        ImageUrl="~/ControlRoom/Images/edit.png" Width="20px" />
                    &nbsp;
                    <asp:ImageButton ID="btnDelete" runat="server" AlternateText="Delete Record" Tooltip="Delete Record" 
                        CausesValidation="False" CommandName="DeleteRecord" CommandArgument='<%# Bind("PID") %>' 
                        ImageUrl="~/ControlRoom/Images/delete.png" Width="20px" OnClientClick="return confirm('Are you sure you want to delete this record?');"/>
                   &nbsp;
                </ItemTemplate>
                <ItemStyle VerticalAlign="Middle" Wrap="False"></ItemStyle>
            </asp:TemplateField>


			<asp:BoundField ReadOnly="True" HeaderText="PID" DataField="PID" 
                SortExpression="PID" Visible="False" ItemStyle-Wrap="False" 
                ItemStyle-VerticalAlign="Middle">
                <ItemStyle VerticalAlign="Middle" Wrap="False"></ItemStyle>
            </asp:BoundField>          


			<asp:BoundField ReadOnly="True" HeaderText="Program Name" 
                DataField="AdminName" SortExpression="AdminName" Visible="True" 
                ItemStyle-Wrap="False" ItemStyle-VerticalAlign="Middle" ItemStyle-HorizontalAlign ="Left" HeaderStyle-HorizontalAlign="Left">
				 <ControlStyle Width="250px" />
                <ItemStyle    Width="250px" VerticalAlign="Middle" Wrap="False"></ItemStyle>
            </asp:BoundField> 

			<asp:BoundField ReadOnly="True" HeaderText="Title" 
                DataField="Title" SortExpression="Title" Visible="True" 
                ItemStyle-Wrap="False" ItemStyle-VerticalAlign="Middle" ItemStyle-HorizontalAlign ="Left" HeaderStyle-HorizontalAlign="Left">
				 <ControlStyle Width="250px" />
                 <ItemStyle    Width="250px" VerticalAlign="Middle" Wrap="False"></ItemStyle>
            </asp:BoundField> 

            <asp:TemplateField   SortExpression="IsActive" Visible="True" 
                ItemStyle-Wrap="False" ItemStyle-VerticalAlign="Middle" ItemStyle-HorizontalAlign ="Left" HeaderStyle-HorizontalAlign="Left"
                HeaderText="Is Active?" >               
                <ItemTemplate>
                    <%# FormatHelper.ToYesNo((bool)Eval("IsActive"))%>
                </ItemTemplate>
				 <ControlStyle Width="250px" />
                 <ItemStyle    Width="250px" VerticalAlign="Middle" Wrap="False"></ItemStyle>
            </asp:TemplateField>

            <asp:TemplateField   SortExpression="IsHidden" Visible="True" 
                ItemStyle-Wrap="False" ItemStyle-VerticalAlign="Middle" ItemStyle-HorizontalAlign ="Left" HeaderStyle-HorizontalAlign="Left"
                 HeaderText="Is Hidden?">              
                <ItemTemplate>
                    <%# FormatHelper.ToYesNo((bool)Eval("IsHidden"))%>
                </ItemTemplate>
				 <ControlStyle Width="250px" />
                 <ItemStyle    Width="250px" VerticalAlign="Middle" Wrap="False"></ItemStyle>
            </asp:TemplateField>


            <asp:TemplateField   SortExpression="StartDate" Visible="True" 
                ItemStyle-Wrap="False" ItemStyle-VerticalAlign="Middle" ItemStyle-HorizontalAlign ="Left" HeaderStyle-HorizontalAlign="Left"
                HeaderText="Start Date">            
                <ItemTemplate>
                    <%# FormatHelper.ToNormalDate((DateTime)Eval("StartDate"))%>
                </ItemTemplate>
				 <ControlStyle Width="250px" />
                 <ItemStyle    Width="250px" VerticalAlign="Middle" Wrap="False"></ItemStyle>
            </asp:TemplateField>

            <asp:TemplateField   SortExpression="EndDate" Visible="True" 
                ItemStyle-Wrap="False" ItemStyle-VerticalAlign="Middle" ItemStyle-HorizontalAlign ="Left" HeaderStyle-HorizontalAlign="Left"
                HeaderText="End Date">             
                <ItemTemplate>
                    <%# FormatHelper.ToNormalDate((DateTime)Eval("EndDate"))%>
                </ItemTemplate>
				 <ControlStyle Width="250px" />
                 <ItemStyle    Width="250px" VerticalAlign="Middle" Wrap="False"></ItemStyle>
            </asp:TemplateField>	
            
            <asp:TemplateField   SortExpression="ParticipantCount" Visible="True" 
                ItemStyle-Wrap="False" ItemStyle-VerticalAlign="Middle" ItemStyle-HorizontalAlign ="Left" HeaderStyle-HorizontalAlign="Left"
                HeaderText="# Participants">             
                <ItemTemplate>
                    <%# FormatHelper.ToInt((int)Eval("ParticipantCount"))%>
                </ItemTemplate>
				 <ControlStyle Width="250px" />
                 <ItemStyle    Width="250px" VerticalAlign="Middle" Wrap="False"></ItemStyle>
            </asp:TemplateField>	            	

        </Columns>
        <EmptyDataTemplate>
            <div style="width: 600px; padding: 20px; font-weight:bold; ">
            No records were found. &nbsp; 
                    <asp:ImageButton ID="btnAdd" runat="server" AlternateText="Add Record" Tooltip="Add Record"
                        CausesValidation="False" CommandName="AddRecord" CommandArgument="-1" 
                        ImageUrl="~/ControlRoom/Images/add.png" Width="20px" />
            </div>
        </EmptyDataTemplate>
    </asp:GridView>
</asp:Content>

